<?php 

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class CORE_SkinFunc extends CORE_Display {

// +--
// | This file holds functions used by the main skin file.  It's 
// | purpose is to ensure the main skin file is as free of PHP
// | code as possible to make editing easier on end users.
// +--

// +------------------------------------------------------------------+
// | Class Variables                                                  |
// +------------------------------------------------------------------+

var $class   = 'CORE_SkinFunc';
var $version = '7.0.0';
var $cerror;

// +------------------------------------------------------------------+
// | Constructor Function                                             |
// +------------------------------------------------------------------+

function CORE_SkinFunc () {

// +--
// | This is the constructor function.  This function starts up the
// | class.  Any pre-load variable assignments go here.
// +--

// +--
// | Return $this.
// +--

return;

} // End of function.

// +------------------------------------------------------------------+
// | Function: startup                                                |
// +------------------------------------------------------------------+

function startup () {

// +--
// | This function loads variables for use within the skin.
// +--

$x = array();

// +--
// | General variables.
// +--

$x['eol']            = $this->globals('core.eol');
$x['disp_baseurl']   = $this->globals('core_display.base_url');
$x['disp_year']      = $this->xhtml_encode($this->globals('core_datetime.year'));
$x['disp_date']      = $this->xhtml_encode($this->globals('core_datetime.full'));
$x['site_name']      = $this->globals('core_settings.core.site_name');

// +--
// | HREFs: These are account independent:
// +--

$x['link_contact']  = $this->link('core','contact',array());
$x['link_home']     = $this->link('cms','display',array('ref' => 'splash'));
$x['link_cart']     = $this->link('ecom','viewcart',array());
$x['link_checkout'] = $this->link('ecom','checkoutfn',array());

// +--
// | HREFs: This one is account dependent:
// +--

if ($this->globals('core_user.id')) {

     $x['link_account'] = $this->link('core','accountover',array());

} else {

     $x['link_account'] = $this->link('core','login',array());

} // End of if statement.

// +--
// | Meta tag and title variables.
// +--

$x['metatitle']    = $this->globals('core_display.metatitle');
$x['metakeywords'] = $this->globals('core_display.metakeywords');
$x['metadesc']     = $this->globals('core_display.metadesc');
$x['disp_title']   = $this->xhtml_encode($this->globals('core.namespace.name'));
$x['disp_title']   = preg_replace('/ \- Process$/','',$x['disp_title']);

// +--
// | Strip XHTML tags from the meta information.
// +--

$x['metatitle']    = $this->xhtml_encode(strip_tags($x['metatitle']));
$x['metakeywords'] = $this->xhtml_encode(strip_tags($x['metakeywords']));
$x['metadesc']     = $this->xhtml_encode(strip_tags($x['metadesc']));

if ($this->globals('core.ref_disp')) {

     $x['disp_title'] = $this->xhtml_encode($this->globals('core.ref_disp'));

} // End of if statement.

// +--
// | Return our variable array.
// +--

return $x;

} // End of function.

// +------------------------------------------------------------------+
// | Function: xnamespace                                               |
// +------------------------------------------------------------------+

function xnamespace ($app = '', $namespace = '', $params = '') {

// +--
// | This function loads a requested namespace.
// +--

if ($app == 'core') {$app = $this->globals('core.app');}

if (empty($app)) {return false;}

$this->include_namespace($app,$namespace,$params,0);

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: link                                                   |
// +------------------------------------------------------------------+

function link ($app = '', $namespace = '', $params = '') {

// +--
// | This function returns a link to a namespace.
// +--

if ($app == 'core') {$app = $this->globals('core.app');}

if (empty($app)) {return false;}

// +--
// | Make sure the link is valid, otherwise, return false.
// +--

$valid = $this->link_isvalid($app,$namespace);

if (empty($valid)) {return false;}

// +--
// | Return the link if it's valid.
// +--

return $this->link_namespace($app,$namespace,$params);

} // End of function.

// +------------------------------------------------------------------+
// | Function: debug                                                  |
// +------------------------------------------------------------------+

function debug () {

// +--
// | This function prints closure and debug info.  It handle including 
// | the debug and closure divs.
// +--

if ($this->debug == 2) {$this->include_file('core','debug.php');}

$this->include_file('core','closure.php');

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: titletag                                               |
// +------------------------------------------------------------------+

function titletag ($title = '') {

// +--
// | This function prints the title tag.
// +--

$eol            = $this->globals('core.eol');
$suppress_title = $this->globals('core_display.suppress_title');
$ns             = $this->globals('core.namespace');
$ref            = $this->globals('core.ref');

if ((empty($suppress_title)) && (!(empty($title)))) {

     print '<div id="skin_pgtitle">' . $eol;
     print '<p class="inline">' . $title . '</p>' . $eol;
     print '</div>' . $eol . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: content                                                |
// +------------------------------------------------------------------+

function content () {

// +--
// | This function prints the content placeholder.
// +--

print '<core:content />';

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: printaddphone                                          |
// +------------------------------------------------------------------+

function printaddphone () {

// +--
// | This function prints the owner's address and 
// | phone/fax numbers.
// +--

$eol        = $this->globals('core.eol');

$phone      = $this->xhtml_encode($this->globals('core_settings.core.siteownerphone'));
$fax        = $this->xhtml_encode($this->globals('core_settings.core.siteownerfax'));

$address    = array('addone'     => $this->globals('core_settings.core.siteowneradd'),
                    'addtwo'     => '',
                    'city'       => $this->globals('core_settings.core.siteownercity'),
                    'stateprov'  => $this->globals('core_settings.core.siteownerstateprov'),
                    'country'    => $this->globals('core_settings.core.siteownercountry'),
                    'postalcode' => $this->globals('core_settings.core.siteownerzip'));

$address    = $this->include_namespace('core','getaddress',array('address' => $address, 'format' => 'TEXTNOBR'));

if ((!($this->IsError($address))) && (!(empty($address)))) {

     $address    = $this->xhtml_encode($address);

     print '<p>' . $address . '</p>' . $eol . $eol;
     print '<p>Telephone: ' . $phone . '&nbsp;&nbsp;&nbsp;&nbsp;';
     print 'Fax: ' . $fax . '</p>' . $eol . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: robotstag                                              |
// +------------------------------------------------------------------+

function robotstag () {

// +--
// | This function prints the robots tag.  Follow/Index tags are
// | printed only when pages were not requested with SID in the URL.
// +--

$eol      = $this->globals('core.eol');
$cgi_sid  = $this->globals('core_cgi.sid');

if (!(empty($cgi_sid))) {

     print '<meta name="robots" content="noindex,follow" />' . $eol;

} else {

     print '<meta name="robots" content="index,follow" />' . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>